;InnoSetupVersion=3.0.5

[Setup]
AppName=Advanced Uninstaller PRO 2004
AppVerName=Advanced Uninstaller PRO 2004 - version 6
AppId=AU65
AppVersion=6
AppPublisher=Innovative Solutions
AppPublisherURL=http://www.innovative-sol.com
AppSupportURL=http://www.innovative-sol.com
AppUpdatesURL=http://www.innovative-sol.com
DefaultDirName={pf}\Innovative Solutions\Advanced Uninstaller PRO 2004 version 6
DefaultGroupName=Advanced Uninstaller PRO 2004 - version 6
UninstallDisplayIcon={app}\Uninstaller.exe
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.rtf
InfoBeforeFile=embedded\InfoBefore.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\uninstaller.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Readme\description.rtf"; DestDir: "{app}\Readme"; Flags: ignoreversion 
Source: "{app}\tips.ini"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{sys}\AdvUninstCPL.cpl"; DestDir: "{sys}"; Flags: ignoreversion 
Source: "{app}\Readme\license.rtf"; DestDir: "{app}\Readme"; Flags: ignoreversion 
Source: "{app}\wtkpro.DLL"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\protect.DLL"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\loading_bar.avi"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\loading.gif"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Sounds\1.wav"; DestDir: "{app}\Sounds"; 
Source: "{app}\Sounds\2.wav"; DestDir: "{app}\Sounds"; 
Source: "{app}\Sounds\3.wav"; DestDir: "{app}\Sounds"; 
Source: "{app}\Sounds\4.wav"; DestDir: "{app}\Sounds"; 
Source: "{app}\Sounds\5.wav"; DestDir: "{app}\Sounds"; 

[Dirs]
Name: "{app}\Sounds"; 

[Registry]
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\WindowsUpdate\OemInfo"; ValueName: "UpdateOptions"; Flags: deletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Control Panel\don't load\AdvUninstCPL.cpl"; Flags: deletekey noerror 
Root: HKLM; Subkey: "SOFTWARE\Innovative Solutions\Advanced Uninstaller"; ValueName: "EXEFilePath"; ValueType: String; ValueData: "{app}\Uninstaller.exe"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Innovative Solutions\Advanced Uninstaller PRO 2004\6\Settings"; Flags: deletekey noerror 
Root: HKCU; Subkey: "Software\Innovative Solutions\Advanced Uninstaller PRO 2004\6\Theme_Settings"; Flags: deletekey noerror 
Root: HKCR; Subkey: "exefile\shell\AU6"; ValueType: String; ValueData: "Uninstall with Advanced Uninstaller"; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".exe\shell\AU6"; ValueType: String; ValueData: "Uninstall with Advanced Uninstaller"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "exefile\shell\AU6\command"; ValueType: String; ValueData: "{app}\uninstaller.exe %1"; 
Root: HKCR; Subkey: ".exe\shell\AU6\command"; ValueType: String; ValueData: "{app}\uninstaller.exe %1"; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\DeviceManager\Processor"; ValueName: "Normal_Latency"; ValueType: Binary; ValueData: "8E CA 30 00 5A 1A 03 01 E7 CC 2C 00 C1 4F 79 00 BB 9A 54 03 C6 63 FD 01 4D 9B FC 05"; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\DeviceManager\Processor"; ValueName: "Old_Latency"; ValueType: Dword; ValueData: "$25A470BC"; 

[Run]
Filename: "{win}\regedit.exe"; Parameters: "/e entries.dat HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Uninstall"; WorkingDir: "{app}"; Description: "Backup uninstall entries"; Flags: skipifdoesntexist nowait
Filename: "{app}\Uninstaller.exe"; Description: "Launch Advanced Uninstaller PRO 2004"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Advanced Uninstaller PRO 2004"; Filename: "{app}\uninstaller.exe"; IconFilename: "{app}\Uninstaller.exe"; 
Name: "{userdesktop}\Advanced Uninstaller PRO 2004"; Filename: "{app}\uninstaller.exe"; WorkingDir: "{app}"; IconFilename: "{app}\Uninstaller.exe"; Comment: "Simply drop a program or shortcut on this icon to uninstall it!"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Advanced Uninstaller PRO 2004"; Filename: "{app}\uninstaller.exe"; IconFilename: "{app}\Uninstaller.exe"; Tasks: quicklaunchicon; 
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon (you can drag and drop shortcuts on it to uninstall programs)"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\inc.ini"; 
Type: files; Name: "{app}\sh_tips.ini"; 
Type: filesandordirs; Name: "{sys}\AdvUninstCPL.cpl"; 
Type: files; Name: "{app}\entries.dat"; 
Type: files; Name: "{app}\disp.ini"; 
Type: files; Name: "{app}\view.ini"; 
Type: dirifempty; Name: "{app}\Other"; 
Type: files; Name: "{app}\purchase.url"; 
Type: files; Name: "{app}\*.log"; 
Type: dirifempty; Name: "{app}\Undo"; 
